#define KEY1_PORT_OUT PORTB
#define KEY1_PORT_IN  PINB
#define KEY1_PORT_DDR DDRB
#define KEY1_PIN      7

#define KEY2_PORT_OUT PORTB
#define KEY2_PORT_IN  PINB
#define KEY2_PORT_DDR DDRB
#define KEY2_PIN      6

/* key numbers */
#define KEY1 0
#define KEY2 1

/* key status */
#define KEY_PRESSED  0  /* key is on */
#define KEY_RELEASED 1  /* key is off */
#define KEY_RISE     2  /* key has just been pressed */
#define KEY_FALL     3  /* key has just been releasd */

void key_check();  /* read all pins and ajust status registers */

void key_status_ajust(uint8_t nr, uint8_t k); /* subroutine of key_status */

uint8_t key_rised(uint8_t key); /* return TRUE if the key rised */

void key_delay_2us(); /* needed because signals are too slow */


